curl --request POST \
--url https://api.jenzy.com/v2/child-orgs/{id}/terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"terms_value": "<string>"
}
'import requests
url = "https://api.jenzy.com/v2/child-orgs/{id}/terms"
payload = { "terms_value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({terms_value: '<string>'})
};
fetch('https://api.jenzy.com/v2/child-orgs/{id}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jenzy.com/v2/child-orgs/{id}/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'terms_value' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jenzy.com/v2/child-orgs/{id}/terms"
payload := strings.NewReader("{\n \"terms_value\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jenzy.com/v2/child-orgs/{id}/terms")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"terms_value\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jenzy.com/v2/child-orgs/{id}/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"terms_value\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "individual",
"display_name": "<string>",
"reference": "<string>",
"status": "incomplete",
"requirements": [
{
"party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": "terms_value",
"document_category": "identifying_documents",
"document_types": [
"passport",
"national_id"
],
"reason": "missing"
}
],
"capabilities": {
"usd_collections": "pending",
"usd_payouts": "pending"
},
"associated_parties": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"terms_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}Send the terms value
Show terms_url to your customer. After your customer accepts the terms, send the tos_policies_value from that URL as terms_value. When nothing else is owed, the Child org goes to review: its status becomes in_review.
curl --request POST \
--url https://api.jenzy.com/v2/child-orgs/{id}/terms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"terms_value": "<string>"
}
'import requests
url = "https://api.jenzy.com/v2/child-orgs/{id}/terms"
payload = { "terms_value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({terms_value: '<string>'})
};
fetch('https://api.jenzy.com/v2/child-orgs/{id}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jenzy.com/v2/child-orgs/{id}/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'terms_value' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jenzy.com/v2/child-orgs/{id}/terms"
payload := strings.NewReader("{\n \"terms_value\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jenzy.com/v2/child-orgs/{id}/terms")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"terms_value\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jenzy.com/v2/child-orgs/{id}/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"terms_value\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "individual",
"display_name": "<string>",
"reference": "<string>",
"status": "incomplete",
"requirements": [
{
"party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": "terms_value",
"document_category": "identifying_documents",
"document_types": [
"passport",
"national_id"
],
"reason": "missing"
}
],
"capabilities": {
"usd_collections": "pending",
"usd_payouts": "pending"
},
"associated_parties": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"terms_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>"
}
}Headers
Body
Response
The Child org, with its new status and requirements.
incomplete: requirements lists what you still owe before review. in_review: nothing is owed; the review is in progress. action_required: the review needs more from you; requirements lists it, and you send it with POST /v2/child-orgs/{id}/information. active: approved; the Child org can transact. requirements can list a request after approval; the status stays active. rejected: final; to try again, create a new Child org. suspended: the Child org or your organization is suspended.
incomplete, in_review, action_required, active, rejected, suspended